# All files / utils randomInt.ts

0% Statements 0/21
0% Branches 0/1
0% Functions 0/1
0% Lines 0/21

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22

     /** @remarks \@since 6.0.0 */
    export interface RandomIntOptions {
      /** @defaultValue `0` */
      min?: number;
      /** @defaultValue `10` */
      max?: number;
    }

    /**
     * Generates a random integer between a min and max value. Defaults
     * to 0-10.
     *
     * @param options - the {@link RandomIntOptions}
     * @returns a random number
     * @remarks \@since 6.0.0
     */
    export function randomInt(options: RandomIntOptions = {}): number {
      const { min = 0, max = 10 } = options;

      return Math.floor(Math.random() * (max - min)) + min;
    }